using System.Collections;
using System.Collections.Generic;
#if !COMBAT_SERVER
using UnityEngine;
using Utility;
#endif

public class LoadTaskBasic
{
    public enum LoadState
    {
        Null,
        Init,
        Load,
        Await,
        End,
        CallBackEnd,
        Disposed,
    }

    public LoadState loadState;
#if !COMBAT_SERVER
    
    protected AssetInfo _assetInfo;

    public virtual bool IsLoadEnd()
    {
        return loadState == LoadState.End || loadState == LoadState.Disposed;
    }

    protected virtual void StartLoad()
    {
    }

    public void Update()
    {
        ProUpdate();
    }

    protected virtual void ProUpdate()
    {
    }
#endif
    //public 
}